[+
do {
$req = shift;
$output .= "";
$pwd = $req->component->cwd;

foreach $name (sort { $b cmp $a } glob($pwd."/items/*") ) {
	open(DAT, $name);
	@raw_data=<DAT>;
	close(DAT);
	$name =~ s/-/ /g;
	$name =~ /([0-9]{2})_(.*).html/;
	$output .= "<h2>$2</h2>".$raw_data[0]."...<br /><a href='read.html?id=$1'>>>> Leer el resto de art&iacute;culo</a>";
}
$foo = $output;
}
+]
